FIFE - Task #17173

Revisit Pegasus after GPGrid refactor
07/13/2017 02:17 PM - Kenneth Herner

Status: Rejected Start date: 07/13/2017
Priority: Normal Due date: 12/31/2018
Assignee: Kenneth Herner % Done: 0%
Category: Estimated time: 0.00 hour
Target version: FIFE Roadmap for FY18 Spent time: 0.00 hour
Description

We evaluated Pegasus earlier in 2017 to see how well it would interact with the existing FIFE tools, namely Jobsub. We decided that
since Pegasus was tightly coupled to HTCondor commands (i.e. it was not easy to make it do "jobsub_submit" as opposed to
"condor_submit") and it was somewhat more difficult to make work with glideins, that we should not expend effort now to modify
jobsub to interface with it. After the GPGrid refactor is complete in the fall, and glideins will not run FIFE jobs, it may be easier to
make everything interface. We can look at things again after the refactor is complete and we know how FIFE users will be submitting

jobs in the long term.

History

#1 - 10/16/2017 03:32 PM - Tanya Levshina
- Target version set to FIFE Roadmap for FY18

#2 - 10/16/2017 03:38 PM - Tanya Levshina
- Parent task set to #16423

#3 - 06/13/2018 09:47 PM - Tanya Levshina
- Due date set to 12/31/2018

- Status changed from New to Assigned

#4 - 01/22/2019 02:51 PM - Tanya Levshina
- Parent task deleted (#16423)

- Status changed from Assigned to Rejected
